ELNotPresentTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.logic
Class ELNotPresentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.logic.ConditionalTagBase
              org.apache.struts.taglib.logic.PresentTag
                  org.apache.struts.taglib.logic.NotPresentTag
                      org.apache.strutsel.taglib.logic.ELNotPresentTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELNotPresentTag

extends NotPresentTag

Evaluates the nested body content of this tag if the specified value is not present for this request.

This class is a subclass of the class `org.apache.struts.taglib.logic.NotPresentTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.logic.PresentTag
`ROLE_DELIMITER`

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, messages, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELNotPresentTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getCookieExpr()` Getter method for "cookie" tag attribute.
`String` | `getHeaderExpr()` Getter method for "header" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getParameterExpr()` Getter method for "parameter" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`String` | `getRoleExpr()` Getter method for "role" tag attribute.
`String` | `getScopeExpr()` Getter method for "scope" tag attribute.
`String` | `getUserExpr()` Getter method for "user" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setCookieExpr(String cookieExpr)` Setter method for "cookie" tag attribute.
`void` | `setHeaderExpr(String headerExpr)` Setter method for "header" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setParameterExpr(String parameterExpr)` Setter method for "parameter" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.
`void` | `setRoleExpr(String roleExpr)` Setter method for "role" tag attribute.
`void` | `setScopeExpr(String scopeExpr)` Setter method for "scope" tag attribute.
`void` | `setUserExpr(String userExpr)` Setter method for "user" tag attribute.

Methods inherited from class org.apache.struts.taglib.logic.NotPresentTag
`condition`

Methods inherited from class org.apache.struts.taglib.logic.PresentTag
`condition, isBeanPresent, isCookiePresent`

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`doEndTag, getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELNotPresentTag

    public ELNotPresentTag()

Method Detail

### getCookieExpr

    public String getCookieExpr()

  Getter method for "cookie" tag attribute. (Mapping set in associated BeanInfo class.)

### getHeaderExpr

    public String getHeaderExpr()

  Getter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getParameterExpr

    public String getParameterExpr()

  Getter method for "parameter" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getRoleExpr

    public String getRoleExpr()

  Getter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### getScopeExpr

    public String getScopeExpr()

  Getter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### getUserExpr

    public String getUserExpr()

  Getter method for "user" tag attribute. (Mapping set in associated BeanInfo class.)

### setCookieExpr

    public void setCookieExpr(String cookieExpr)

  Setter method for "cookie" tag attribute. (Mapping set in associated BeanInfo class.)

### setHeaderExpr

    public void setHeaderExpr(String headerExpr)

  Setter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setParameterExpr

    public void setParameterExpr(String parameterExpr)

  Setter method for "parameter" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setRoleExpr

    public void setRoleExpr(String roleExpr)

  Setter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### setScopeExpr

    public void setScopeExpr(String scopeExpr)

  Setter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### setUserExpr

    public void setUserExpr(String userExpr)

  Setter method for "user" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ConditionalTagBase`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ConditionalTagBase`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.